
var OTP = function()
{
	var otp = {};
	
	otp.initPage = function()
	{
		// Disable OTP fields on extended properties tab
		Doc.element('ep.otpIsRequired.true').disabled = true;
		Doc.element('ep.otpIsRequired.false').disabled = true;
		
		Events.addEventHandler('requireOtp.true', 'click', otp.copyOtpRequired);
		Events.addEventHandler('requireOtp.false', 'click', otp.copyOtpRequired);
		
		Buttons.addClickHandler('btnOtpReset', otp.resetOtp);
	}
	
	/* Copy 'OTP required' option to other places */
	otp.copyOtpRequired = function()
	{
		// Radio buttons on the 'Additional info' tab
		Doc.element('ep.otpIsRequired.true').checked = Doc.element('requireOtp.true').checked;
		Doc.element('ep.otpIsRequired.false').checked = Doc.element('requireOtp.false').checked;
		// This hidden element is the one that gets submitted to the server
		Doc.element('otpIsRequired').value = Doc.element('requireOtp.true').checked;
	}
	
	otp.resetOtp = function()
	{
		var frm = document.forms['user'];
		if (!frm['ep.otpSecretKey'])
		{
			// We need to create this with an empty value to reset the secret key
			Forms.addHidden(frm, 'ep.otpSecretKey', '');
		}
		Doc.hide('has-otp');
		Doc.show('otp-was-reset');
		Doc.show('require-otp-row');
	}
	
	return otp;
}();

Doc.onLoad(OTP.initPage);

